{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genCard.html.twig" as card %}
{% import "macros/genCardDetail.html.twig" as cd %}
{% block body %}
    <h5>Detail Siswa</h5>
    <div class="row">
        <div class="col col-sm-12 mb-4">
            {{ cd.card_detail(profileName.fullName,actionName,'nama','270px') }}
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            {{ cd.card_detail('Profile',null,'profile') }}
        </div>
        <div class="col col-sm-12 col-md-6 mb-4">
            {{ cd.card_detail('Info Pengguna',null,'Info Pengguna') }}
        </div>
        <div class="col col-sm-12 mb-4">
            <div class="card card-genossys p-0">
                <div class="card-body">
                    <h6 class="font-weight-bold">Berlangganan</h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('berlangganan') }}
                </div>
            </div>
        </div>
        <div class="col col-sm-12">
            <div class="card card-genossys p-0">
                <div class="card-body">
                    <h6 class="font-weight-bold">Transaksi</h6>
                    <div class="dropdown-divider"></div>
                    {{ dt.datatable('transaksi') }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script>

        $(document).on('click', 'a#SuspendAkun', function () {
            var isi, title, status;
            if ('{{ profileName.isActive }}' === '1') {
                title = 'Suspend Akun';
                isi = 'Apakah anda yakin akan men suspend member {{ profileName.fullName }} ?';
                status = '0';
            } else {
                title = 'Aktifasi Akun';
                isi = 'Apakah anda yakin akan aktifkan member {{ profileName.fullName }} ?';
                status = '1';
            }
            alertify.confirm(title, isi, async function () {
                    let data = {
                        'id': '{{ profileName.getUser.id }}',
                        'status': status
                    };
                    console.log(data);
                    let res = await $.post('/Admin/siswa/detail/update-active-siswa', data, function (dat) {
                        if(dat['code'] === 200){
                            window.location.reload();
                        }
                    });


                }
                , function () {
                    alertify.error('Cancel')
                });
        });
    </script>
    {{ cd.cardDetailJS(profile,space1,class,whereProfile,'profile') }}
    {{ cd.cardDetailJS(nama,space1,class,whereProfile,'nama') }}
    {{ cd.cardDetailInfoJS('get-info-siswa',id,'Info Pengguna') }}
    {{ dt.datatableJS(classTransaksi, space, null, tableFieldsTransaksi,whereProfile,groupBy,null,null,'transaksi') }}
    {{ dt.datatableJS(classTransaksi, space, null, tableFieldsBerlangganan,whereProfile,groupBy,null,null,'berlangganan') }}

{% endblock %}